Upgraded Postgres, borked PostGIS

Oops.  Postgres 9.1 hit the Arch repositories a few weeks ago, and I finally decided to run the upgrade.  I dumped all my databases, ran the upgrade, and re-imported the dumps.  Now PostGIS is totally borked, the geography datatype isn’t recognized and most of the PostGIS functions aren’t in the database.  I tried re-installing PostGIS via Pacman, but that didn’t help.  Arch’s forums and wiki are both down, I’m going to wait until they pop back up to see if there’s something I missed there.  If not, I’ll try installing PostGIS from source.

Advertisements
  1. No trackbacks yet.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: